# %define kdeversion 4.11.3

%define snapshot 12566ea

Name:    baloo
Summary: KDE Baloo
Epoch:   1
Version: 4.13.0.0
Release: 9.3

# http://techbase.kde.org/Policies/Licensing_Policy
License: LGPLv2+
URL: http://www.kde.org/
Source0: %{name}-%{version}-%{snapshot}.tar.xz

## upstream patches

AutoReq: no

Requires: xapian-core
Requires: libattr
Requires: kdelibs
Requires: akonadi
Requires: kfilemetadata
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

BuildRequires: qt4%{?_isa} >= 4.8.4-19
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: kfilemetadata-devel
BuildRequires: libattr-devel
BuildRequires: xapian-core-devel
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(akonadi)

%description
Baloo library.

%package devel
Summary:  Development files for %{name}
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}
Provides: baloo-devel = %{version}-%{release}
Requires: kdelibs-devel
%description devel
Header files for developing applications using %{name}.

%package libs
Summary:  Runtime libraries for %{name}
Requires: kdelibs%{?_isa}%{?_kde4_version: >= %{_kde4_version}}
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%description libs
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. 
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#Those files conflict with KDE 4.12
rm %{buildroot}%{_kde4_libdir}/kde4/kio_tags.so
rm %{buildroot}%{_kde4_libdir}/kde4/kio_timeline.so
rm %{buildroot}%{_kde4_datadir}/kde4/services/tags.protocol


%post -p /sbin/ldconfig

%postun

%posttrans

%files
%{_kde4_bindir}/*
%{_kde4_datadir}/akonadi/agents/*
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_datadir}/dbus-1/system-services/org.kde.baloo.filewatch.service
%{_datadir}/akonadi/agents/akonadibalooindexingagent.desktop
%{_datadir}/autostart/baloo_file.desktop
%{_datadir}/icons/hicolor/128x128/apps/baloo.png
%{_datadir}/polkit-1/actions/org.kde.baloo.filewatch.policy
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_libdir}/libbaloocore.so.4*
%{_kde4_libdir}/libbaloofiles.so.4*
%{_kde4_libdir}/libbaloopim.so.4*
%{_kde4_libdir}/libbalooxapian.so.4*
%{_kde4_libdir}/kde4/akonadi/akonadi_baloo_searchplugin.so
%{_kde4_libdir}/kde4/akonadi/akonadibaloosearchplugin.desktop
%{_kde4_libdir}/kde4/baloo_contactsearchstore.so
%{_kde4_libdir}/kde4/baloo_emailsearchstore.so
%{_kde4_libdir}/kde4/baloo_filesearchstore.so
%{_kde4_libdir}/kde4/baloo_notesearchstore.so
%{_kde4_libdir}/kde4/baloo_calendarsearchstore.so
%{_kde4_libdir}/kde4/kcm_baloofile.so
%{_kde4_libdir}/kde4/kio_baloosearch.so
# %{_kde4_libdir}/kde4/kio_tags.so
# %{_kde4_libdir}/kde4/kio_timeline.so
%{_kde4_libdir}/kde4/krunner_baloosearchrunner.so
/etc/dbus-1/system.d/org.kde.baloo.filewatch.conf
/usr/libexec/kde4/kde_baloo_filewatch_raiselimit

#FIXME conflicts with KDE 4.12. We probably shoud simply not install those as they are only required for dolphin
# Transaction check error:
#   file /usr/lib64/kde4/kio_tags.so from install of baloo-1:4.13.0-0.fc20.x86_64 conflicts with file from package kde-runtime-libs-4.12.2-1.fc20.x86_64
#   file /usr/lib64/kde4/kio_timeline.so from install of baloo-1:4.13.0-0.fc20.x86_64 conflicts with file from package kde-runtime-libs-4.12.2-1.fc20.x86_64
#   file /usr/share/kde4/services/tags.protocol from install of baloo-1:4.13.0-0.fc20.x86_64 conflicts with file from package kde-runtime-4.12.2-1.fc20.x86_64

%files devel
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/cmake/Baloo*

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libbaloocore.so.4*
%{_kde4_libdir}/libbaloofiles.so.4*
%{_kde4_libdir}/libbaloopim.so.4*
%{_kde4_libdir}/libbalooxapian.so.4

%changelog
* Fri Feb 28 2014 Christian Mollekopf <mollekopf@kolabsys.com> - 4.13.0-0
* First try
